Help about 4.0

Discussion in 'iPhone' started by ste1164, Apr 12, 2010.

  1. ste1164 macrumors 6502a

    ste1164

    Joined:
    Jan 4, 2009
    #1
    I have my phone registered to a developer account but when i try to restore to the 4.0 ipsw. I have an iPhone 3GS but when i try to restore i get the restore 13 error. Any ideas how to fix this? I am using windows but i do have a mac.
     
  2. Revelation78 macrumors 68000

    Revelation78

    Joined:
    Dec 18, 2008
    Location:
    North Carolina
    #2
    You need to do it on a Mac. The update should be done through XCode - preferably, however, not necessarily.
     
  3. richxps macrumors 65816

    richxps

    Joined:
    Jun 9, 2008
    #3
    is it true that going with the xcode will allow itunes to back up you phone with 4.0 ?
     
  4. ste1164 thread starter macrumors 6502a

    ste1164

    Joined:
    Jan 4, 2009
  5. Revelation78 macrumors 68000

    Revelation78

    Joined:
    Dec 18, 2008
    Location:
    North Carolina
    #5
    No XCode will not complete a backup prior to the update. Sync with iTunes before using XCode to have the latest info backed up. Once you use XCode to update, you then can sync with iTunes and restore from a backup.
     
  6. ste1164 thread starter macrumors 6502a

    ste1164

    Joined:
    Jan 4, 2009
    #6
    It worked i just restored the ipsw on iTunes.
     

Share This Page